org.eclipse.net4j.util.om.monitor

## Interface ProgressDistributable<CONTEXT>

- All Known Implementing Classes:
    ProgressDistributable.Default

      public interface ProgressDistributable<CONTEXT>

  Since:
    2.0
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ProgressDistributable.Default<CONTEXT>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getLoopCount(CONTEXT context)`
    `double` | `getLoopWork(CONTEXT context)`
    `void` | `runLoop(int index, CONTEXT context, OMMonitor monitor)`

- - ### Method Detail

    - #### getLoopCount

          int getLoopCount(CONTEXT context)

    - #### getLoopWork

          double getLoopWork(CONTEXT context)

    - #### runLoop

          void runLoop(int index,
                       CONTEXT context,
                       OMMonitor monitor)
                throws Exception

      Throws:
        `Exception`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html